Package com.avaya.clientservices.common

## Enum PushNotificationProcessingError.ErrorCode

- java.lang.Object
- - java.lang.Enum<PushNotificationProcessingError.ErrorCode>
  - - com.avaya.clientservices.common.PushNotificationProcessingError.ErrorCode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PushNotificationProcessingError.ErrorCode>`
  Enclosing class:
    PushNotificationProcessingError

      public static enum PushNotificationProcessingError.ErrorCode
      extends java.lang.Enum<PushNotificationProcessingError.ErrorCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_ERROR` | The server can't authenticate the user's credentials.
    `CONFIGURATION_ERROR` | The notification cannot be processed due to configuration (e.g.
    `CONNECTION_ERROR` | The notification cannot be processed due to no server connectivity
    `CONNECTION_SECURITY_FAULT` | There's a problem with the security of the connection.
    `DIALOG_NOT_FOUND` | No matching remote dialog found for the notification after dialog subscription refresh
    `INCOMPATIBLE_PUSH_NOTIFICATION_SERVER_ERROR` | An error indicating that the push notification service cannot be activated, because the push notification server is incompatible with this client's release.
    `INTERNAL_ERROR` | Any unexpected errors.
    `INVALID_STATE` | The operation is not valid in the current state.
    `PROXY_AUTHENTICATION_ERROR` | The authentication credentials provided for logging into the proxy were rejected.
    `PROXY_CONNECTION_ERROR` | A connection could not be established to the proxy server.
    `REQUEST_CANCELLED` | The request was cancelled.
    `SHUT_DOWN` | The operation failed because the client has been or is in the process of being shut down.
    `SUCCESS` | The operation succeeded.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PushNotificationProcessingError.ErrorCode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PushNotificationProcessingError.ErrorCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final PushNotificationProcessingError.ErrorCode SUCCESS

      The operation succeeded.

    - #### REQUEST_CANCELLED

          public static final PushNotificationProcessingError.ErrorCode REQUEST_CANCELLED

      The request was cancelled.

    - #### INVALID_STATE

          public static final PushNotificationProcessingError.ErrorCode INVALID_STATE

      The operation is not valid in the current state.

    - #### INTERNAL_ERROR

          public static final PushNotificationProcessingError.ErrorCode INTERNAL_ERROR

      Any unexpected errors.

    - #### CONNECTION_ERROR

          public static final PushNotificationProcessingError.ErrorCode CONNECTION_ERROR

      The notification cannot be processed due to no server connectivity

    - #### CONFIGURATION_ERROR

          public static final PushNotificationProcessingError.ErrorCode CONFIGURATION_ERROR

      The notification cannot be processed due to configuration (e.g. incoming call cannot be processed due to dialog state subscriptions are disabled)

    - #### DIALOG_NOT_FOUND

          public static final PushNotificationProcessingError.ErrorCode DIALOG_NOT_FOUND

      No matching remote dialog found for the notification after dialog subscription refresh

    - #### SHUT_DOWN

          public static final PushNotificationProcessingError.ErrorCode SHUT_DOWN

      The operation failed because the client has been or is in the process of being shut down.

    - #### CONNECTION_SECURITY_FAULT

          public static final PushNotificationProcessingError.ErrorCode CONNECTION_SECURITY_FAULT

      There's a problem with the security of the connection.

    - #### AUTHENTICATION_ERROR

          public static final PushNotificationProcessingError.ErrorCode AUTHENTICATION_ERROR

      The server can't authenticate the user's credentials.

    - #### PROXY_CONNECTION_ERROR

          public static final PushNotificationProcessingError.ErrorCode PROXY_CONNECTION_ERROR

      A connection could not be established to the proxy server.

    - #### PROXY_AUTHENTICATION_ERROR

          public static final PushNotificationProcessingError.ErrorCode PROXY_AUTHENTICATION_ERROR

      The authentication credentials provided for logging into the proxy were rejected.

    - #### INCOMPATIBLE_PUSH_NOTIFICATION_SERVER_ERROR

          public static final PushNotificationProcessingError.ErrorCode INCOMPATIBLE_PUSH_NOTIFICATION_SERVER_ERROR

      An error indicating that the push notification service cannot be activated, because the push notification server is incompatible with this client's release.

  - ### Method Detail

    - #### values

          public static PushNotificationProcessingError.ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PushNotificationProcessingError.ErrorCode c : PushNotificationProcessingError.ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PushNotificationProcessingError.ErrorCode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null